net.i2p.router.web

## Class ConfigAdvancedHandler

- java.lang.Object
- - net.i2p.router.web.FormHandler
  - - net.i2p.router.web.ConfigAdvancedHandler

    public class ConfigAdvancedHandler
    extends FormHandler

Handler to deal with form submissions from the advanced config form and act upon the values.

### Field Summary

### Fields inherited from class net.i2p.router.web.FormHandler

`_action, _context, _log, _method, _passphrase`

### Constructor Summary

Constructors
Constructor and Description
`ConfigAdvancedHandler()`

### Method Summary

Methods
`protected void` `processForm()` Override this to perform the final processing (in turn, adding formNotice and formError messages, etc)
`void` `setConfig(String val)`
`void` `setShouldsave(String moo)`

### Methods inherited from class net.i2p.router.web.FormHandler

`_, _, _, addFormError, addFormNotice, getAllMessages, getErrors, getNewNonce, getNotices, setAction, setContextId, setNonce, setPassphrase, storeMethod`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigAdvancedHandler

    public ConfigAdvancedHandler()

### Method Detail

#### processForm

    protected void processForm()

Description copied from class: `FormHandler`
Override this to perform the final processing (in turn, adding formNotice and formError messages, etc)

Overrides:
  `processForm` in class `FormHandler`

#### setShouldsave

    public void setShouldsave(String moo)

#### setConfig

    public void setConfig(String val)